Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class UnwrappedOperationInfo

    java.lang.Object
      org.apache.cxf.service.model.AbstractPropertiesHolder
          org.apache.cxf.service.model.OperationInfo
              org.apache.cxf.service.model.UnwrappedOperationInfo

    public class UnwrappedOperationInfo

extends OperationInfo

Constructor Summary
`UnwrappedOperationInfo(OperationInfo op)`

Method Summary
`void` | `addExtensor(java.lang.Object el)`
`
`<T> T`
` | `getExtensor(java.lang.Class<T> cls)`
`
`<T> java.util.List<T>`
` | `getExtensors(java.lang.Class<T> cls)`
`java.lang.Object` | `getProperty(java.lang.String name)`
`
`<T> T`
` | `getProperty(java.lang.String name, java.lang.Class<T> cls)`
`OperationInfo` | `getWrappedOperation()`
`boolean` | `isUnwrapped()`
`void` | `setProperty(java.lang.String name, java.lang.Object v)`

Methods inherited from class org.apache.cxf.service.model.OperationInfo
`addFault, createMessage, getFault, getFaults, getInput, getInputName, getInterface, getName, getOutput, getOutputName, getUnwrappedOperation, hasInput, hasOutput, isOneWay, isUnwrappedCapable, removeFault, setInput, setName, setOutput, setUnwrappedOperation`

Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder
`getExtensors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnwrappedOperationInfo

    public UnwrappedOperationInfo(OperationInfo op)

Method Detail

### getWrappedOperation

    public OperationInfo getWrappedOperation()

### isUnwrapped

    public boolean isUnwrapped()

  Overrides:
    `isUnwrapped` in class `OperationInfo`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Overrides:
    `getProperty` in class `AbstractPropertiesHolder`

### getProperty

    public <T> T getProperty(java.lang.String name,
                             java.lang.Class<T> cls)

  Overrides:
    `getProperty` in class `AbstractPropertiesHolder`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object v)

  Overrides:
    `setProperty` in class `AbstractPropertiesHolder`

### addExtensor

    public void addExtensor(java.lang.Object el)

  Overrides:
    `addExtensor` in class `AbstractPropertiesHolder`

### getExtensor

    public <T> T getExtensor(java.lang.Class<T> cls)

  Overrides:
    `getExtensor` in class `AbstractPropertiesHolder`

### getExtensors

    public <T> java.util.List<T> getExtensors(java.lang.Class<T> cls)

  Overrides:
    `getExtensors` in class `AbstractPropertiesHolder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

-